aboutsummaryrefslogtreecommitdiff
path: root/your_docker.sh
diff options
context:
space:
mode:
authorcodecrafters-bot <hello@codecrafters.io>2024-06-02 20:04:15 +0000
committercodecrafters-bot <hello@codecrafters.io>2024-06-02 20:04:15 +0000
commitbab5e32bd62071304ec1cd865859e685bf6d9b23 (patch)
treecb07d921130962c3887f3570ed70e45553879f83 /your_docker.sh
downloaddocker-go-bab5e32bd62071304ec1cd865859e685bf6d9b23.tar.gz
docker-go-bab5e32bd62071304ec1cd865859e685bf6d9b23.zip
init [skip ci]
Diffstat (limited to 'your_docker.sh')
-rwxr-xr-xyour_docker.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/your_docker.sh b/your_docker.sh
new file mode 100755
index 0000000..439ca82
--- /dev/null
+++ b/your_docker.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+#
+# DON'T EDIT THIS!
+#
+# CodeCrafters uses this file to test your code. Don't make any changes here!
+#
+# DON'T EDIT THIS!
+set -e
+tmpFile=$(mktemp)
+go build -o "$tmpFile" app/*.go
+exec "$tmpFile" "$@"